Subject: bug#61162: 30.0.50; RET in source files that are being displayed by gud no longer works

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Feb 2023 18:59:56 +0200

> From: Michael Welsh Duggan <[email-masked]>
> Cc: Michael Welsh Duggan <[email-masked]>,  [email-masked]
> Date: Wed, 01 Feb 2023 09:30:35 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This is no longer the case, if it ever was.  What exactly didn't work
> > for you when you tried several simultaneous sessions?  The buffer
> > where you type GDB commands is named "*gud-PROGRAM*", so you have
> > separate buffers for different sessions.  And if you start each one
> > from a separate Emacs frame, you should be able to have separate
> > multi-window configurations (see gdb-many-windows) for each session.
> 
> Ah, I remember now.  It was the ability to debug the same program twice
> at once that was lacking.  I haven't needed that ability recently.  (I
> needed it in the past when dealing with a program that connected to
> other instances of itself.)

Are you sure you cannot have this if you manually rename one of the
GUD buffers?